
mkdir -p combined
g=IAT000001

while read -r g
do

  cdsfa1=../0.input/hprc/${g}.cds.fa.gz
  cdsfa2=../0.input/cpc-p1/${g}.cds.fa.gz
  fsize1=$(zcat ${cdsfa1} | wc -l)
  fsize2=$(zcat ${cdsfa1} | wc -l)
  cdsmaln=combined/${g}.cds.clu
  if [[ ${fsize1} -gt 1 ]] && [[ ${fsize2} -gt 1 ]]
  then
    zcat ${cdsfa1} ${cdsfa2} | kalign -f clu -o ${cdsmaln} 
    gzip ${cdsmaln}
  fi
done < ../0.input/translist.txt
